package com.ruoyi.web.stock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 仓库调拨主表 warehouse_stock_transfer。
 */
public class WarehouseStockTransfer extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date transferDate;

    private String sheetNo;

    private String transferUser;

    private String delFlag;

    private String orgId;

    private List<WarehouseStockTransferGoods> goodsList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getTransferDate() {
        return transferDate;
    }

    public void setTransferDate(Date transferDate) {
        this.transferDate = transferDate;
    }

    public String getSheetNo() {
        return sheetNo;
    }

    public void setSheetNo(String sheetNo) {
        this.sheetNo = sheetNo;
    }

    public String getTransferUser() {
        return transferUser;
    }

    public void setTransferUser(String transferUser) {
        this.transferUser = transferUser;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public List<WarehouseStockTransferGoods> getGoodsList() {
        return goodsList;
    }

    public void setGoodsList(List<WarehouseStockTransferGoods> goodsList) {
        this.goodsList = goodsList;
    }
}
